# Interface AppletFrame

All Known Implementing Classes:
  `JSVApplet, JSVAppletPro`

public interface AppletFrame

## Method Summary

Modifier and Type
Method
Description
`void`
`callToJavaScript(String callbackName, Object[] data)`
`void`
`createMainPanel(JSViewer viewer)`
`void`
`doExitJmol()`
`JSVApp`
`getApp()`
`String`
`getAppletInfo()`
`URL`
`getDocumentBase()`
`JSVPanel`
`getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)`
`String`
`getParameter(String name)`
`void`
`newWindow(boolean isSelected)`
`void`
`repaint()`
`void`
`setDropTargetListener(boolean isSigned, JSViewer viewer)`
`void`
`setPanelVisible(boolean b)`
`void`
`validate()`
`void`
`validateContent(int mode)`

## Method Details

### callToJavaScript

void callToJavaScript(String callbackName, Object[] data)

### createMainPanel

void createMainPanel(JSViewer viewer)

### doExitJmol

void doExitJmol()

### getApp

JSVApp getApp()

### getAppletInfo

String getAppletInfo()

### getDocumentBase

URL getDocumentBase()

### getJSVPanel

JSVPanel getJSVPanel(JSViewer viewer, Lst<Spectrum> specs)

### getParameter

String getParameter(String name)

### newWindow

void newWindow(boolean isSelected)

### repaint

void repaint()

### setDropTargetListener

void setDropTargetListener(boolean isSigned, JSViewer viewer)

### setPanelVisible

void setPanelVisible(boolean b)

### validate

void validate()

### validateContent

void validateContent(int mode)